ONVIF::PTZ::Types::OSDConfiguration(3)

NAME
ONVIF::PTZ::Types::OSDConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType OSDConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   VideoSourceConfigurationToken

•   Type

•   Position

•   TextString

•   Image

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::OSDConfiguration
   VideoSourceConfigurationToken =>  { value => $some_value },
   Type => $some_value, # OSDType
   Position =>  { # ONVIF::PTZ::Types::OSDPosConfiguration
     Type =>  $some_value, # string
     Pos => ,
     Extension =>  { # ONVIF::PTZ::Types::OSDPosConfigurationExtension
     },
   },
   TextString =>  { # ONVIF::PTZ::Types::OSDTextConfiguration
     Type =>  $some_value, # string
     DateFormat =>  $some_value, # string
     TimeFormat =>  $some_value, # string
     FontSize =>  $some_value, # int
     FontColor =>  { # ONVIF::PTZ::Types::OSDColor
       Color => ,
     },
     BackgroundColor =>  { # ONVIF::PTZ::Types::OSDColor
       Color => ,
     },
     PlainText =>  $some_value, # string
     Extension =>  { # ONVIF::PTZ::Types::OSDTextConfigurationExtension
     },
   },
   Image =>  { # ONVIF::PTZ::Types::OSDImgConfiguration
     ImgPath =>  $some_value, # anyURI
     Extension =>  { # ONVIF::PTZ::Types::OSDImgConfigurationExtension
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::OSDConfigurationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL